declare function callMethod(method: string, args?: any): Promise<unknown>;
declare function registerMethod(name: string, func: any): void;
declare const fmBridge: {
    call: typeof callMethod;
    register: typeof registerMethod;
    init: (params?: any) => Promise<unknown>;
    getAppInfo: () => Promise<unknown>;
    getAppBaseInfo: () => Promise<unknown>;
    updateVersion: () => Promise<unknown>;
    toggleMenuButton: (params: fengmang.IToggleMenu) => Promise<unknown>;
    getUserInfo: () => Promise<unknown>;
    /**
     * 即将废弃
     */
    getShareData: (shareData?: {}) => void;
    updateUserInfo: (func: any) => void;
    openUI: (args: fengmang.IOpenUI) => Promise<unknown>;
    showMenuItems: (params: fengmang.IShowMenuItems) => void;
    updateNetwork: (func: any) => void;
    copy: (url: string) => void;
    share: (params: fengmang.IShare) => void;
    like: (params: fengmang.ILike) => void;
    collect: (params: fengmang.ICollect) => void;
    popToUI: (params: fengmang.IPopToUI) => Promise<unknown>;
    openURL: (params: fengmang.IOpenURL) => Promise<unknown>;
    cancelAccount: (params: fengmang.ICancelAccount) => Promise<unknown>;
    accountConflict: (params: fengmang.IAccountConflict) => Promise<unknown>;
    toggleBackButton: (params: fengmang.IToggleBackButton) => Promise<unknown>;
    popGesture: (params: fengmang.IPopGesture) => Promise<unknown>;
    isFengmang: boolean;
};
export default fmBridge;
